Package org.eclipse.emf.cdo.spi.server

## Class AbstractOperationAuthorizer.Factory<CONTEXT>

- java.lang.Object
- - org.eclipse.net4j.util.factory.Factory
  - - org.eclipse.net4j.util.security.operations.OperationAuthorizerFactory<CONTEXT>
    - - org.eclipse.emf.cdo.spi.server.AbstractOperationAuthorizer.Factory<CONTEXT>

- All Implemented Interfaces:
    `org.eclipse.net4j.util.factory.IFactory`
  Enclosing class:
    AbstractOperationAuthorizer<CONTEXT>

      public abstract static class AbstractOperationAuthorizer.Factory<CONTEXT>
      extends org.eclipse.net4j.util.security.operations.OperationAuthorizerFactory<CONTEXT>

  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.security.operations.OperationAuthorizerFactory

      `PRODUCT_GROUP`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Factory​(java.lang.String type)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.net4j.util.security.operations.OperationAuthorizer<CONTEXT>` | `create​(java.lang.String description)` |
    `protected abstract org.eclipse.net4j.util.security.operations.OperationAuthorizer<CONTEXT>` | `create​(java.lang.String operationID, java.lang.String description)` |

    - ### Methods inherited from class org.eclipse.net4j.util.factory.Factory

      `getDescriptionFor, getKey, getProductGroup, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Factory

          public Factory​(java.lang.String type)

  - ### Method Detail

    - #### create

          public org.eclipse.net4j.util.security.operations.OperationAuthorizer<CONTEXT> create​(java.lang.String description)
                                                                                         throws org.eclipse.net4j.util.factory.ProductCreationException

      Specified by:
        `create` in interface `org.eclipse.net4j.util.factory.IFactory`
      Specified by:
        `create` in class `org.eclipse.net4j.util.security.operations.OperationAuthorizerFactory<CONTEXT>`
      Throws:
        `org.eclipse.net4j.util.factory.ProductCreationException`

    - #### create

          protected abstract org.eclipse.net4j.util.security.operations.OperationAuthorizer<CONTEXT> create​(java.lang.String operationID,
                                                                                                            java.lang.String description)
                                                                                                     throws org.eclipse.net4j.util.factory.ProductCreationException

      Throws:
        `org.eclipse.net4j.util.factory.ProductCreationException`